#ifndef __CAN_COMM__
#define __CAN_COMM__

typedef struct LED_CMD_0{


	struct{
		Uint16	engine		: 2U;
		Uint16	low_voltage	: 1U;
		Uint16	operation_voltage: 5U;
	}byte0;

	struct{
		union{

			Uint16 byte;
			struct{
				Uint16	BoostA		:1U;
				Uint16	BoostB		:1U;
				Uint16	Buck1		:1U;
				Uint16	Buck2		:1U;
				Uint16	Buck3		:1U;
				Uint16	Buck4		:1U;
				Uint16	Buck5		:1U;
				Uint16	Buck6		:1U;
			}bit;
		}all;
	}byte1;


	struct{
		Uint16	BoostA_ref_low	:8U;
	}byte2;

	struct{
		Uint16	BoostA_ref_high		:4U;
		Uint16	BoostA_soft_start	:1U;
		Uint16	reserved			:3U;
	}byte3;

	struct{
		Uint16	BoostB_ref_low	:8U;
	}byte4;

	struct{
		Uint16	BoostB_ref_high		:4U;
		Uint16	BoostB_soft_start	:1U;
		Uint16	reserved			:3U;
	}byte5;

	struct{
		Uint16	Buck1_ref_low	:8U;
	}byte6;

	struct{
		Uint16	Buck1_ref_high		:4U;
		Uint16	Buck1_soft_start	:1U;
		Uint16	reserved			:3U;
	}byte7;


}LED_CMD_0_t;	//ID: 0x501

typedef struct LED_CMD_1{
	struct{
		Uint16	Buck2_ref_low	:8U;
	}byte0;

	struct{
		Uint16	Buck2_ref_high		:4U;
		Uint16	Buck2_soft_start	:1U;
		Uint16	reserved			:3U;
	}byte1;

	struct{
		Uint16	Buck3_ref_low	:8U;
	}byte2;

	struct{
		Uint16	Buck3_ref_high		:4U;
		Uint16	Buck3_soft_start	:1U;
		Uint16	reserved			:3U;
	}byte3;

	struct{
		Uint16	Buck4_ref_low	:8U;
	}byte4;

	struct{
		Uint16	Buck4_ref_high		:4U;
		Uint16	Buck4_soft_start	:1U;
		Uint16	reserved			:3U;
	}byte5;

	struct{
		Uint16	Buck5_ref_low	:8U;
	}byte6;

	struct{
		Uint16	Buck5_ref_high		:4U;
		Uint16	Buck5_soft_start	:1U;
		Uint16	reserved			:3U;
	}byte7;

}LED_CMD_1_t;	//ID: 0x502

typedef struct LED_CMD_2{
	struct{
		Uint16	Buck6_ref_low	:8U;
	}byte0;

	struct{
		Uint16	Buck6_ref_high		:4U;
		Uint16	Buck6_soft_start	:1U;
		Uint16	reserved			:3U;
	}byte1;

}LED_CMD_2_t;	//ID: 0x503

enum command_in_use{
	Command_Updated = 0U,
	Command_In_Use	= 1U
};

enum comm_state{
	Comm_Receive_ID_1 = 1U,
	Comm_Receive_ID_2 = 2U,
	Comm_Receive_Payload = 3U
};

//extern LED_CMD_0_t command_0[2];
//extern LED_CMD_1_t command_1[2];
//extern LED_CMD_2_t command_2[2];
//
//extern Uint16 usbCommand_0_status;
//extern Uint16 usbCommand_1_status;
//
//extern Uint16 usbFeedback_0_status;
//extern Uint16 usbFeedback_1_status;
//
//extern Uint16 canCommandGroup_0_status;
//extern Uint16 canCommandGroup_1_status;
//
//extern Uint16 usbCommStatus;
//
//extern Uint16 *pCommand_0;
//extern Uint16 *pCommand_1;
//extern Uint16 *pCommand_2;
//
//#define USB_COMMAND_ID_1	0x81

#define CAN_COMMAND_ID_1	0x501
#define CAN_COMMAND_ID_2	0x502
#define CAN_COMMAND_ID_3	0x503

//void usbToCANMessage(Uint16* usbCommand);

#endif
