#ifndef __ECAN__
#define __ECAN__

enum ECAN_MAILBOX{
	MailBox0 = 0,
	MailBox1,
	MailBox2,
	MailBox3,
	MailBox4,
	MailBox5,
	MailBox6,
	MailBox7,
	MailBox8,
	MailBox9,
	MailBox10,
	MailBox11,
	MailBox12,
	MailBox13,
	MailBox14,
	MailBox15,
	MailBox16,
	MailBox17,
	MailBox18,
	MailBox19,
	MailBox20,
	MailBox21,
	MailBox22,
	MailBox23,
	MailBox24,
	MailBox25,
	MailBox26,
	MailBox27,
	MailBox28,
	MailBox29,
	MailBox30,
	MailBox31
};

enum ECAN_MAILBOX_INTERRUPT_ENABLE{
    Enable_Interrupt = 0U,
    Disable_Interrupt = 1U
};

enum ECAN_MAILBOX_INTERRUPT_LINE{
    Interrupt_Line_Dummy    = 0U,
    Interrupt_Line_0        = 1U,
    Interrupt_Line_1        = 2U,
    Interrupt_Line_Both     = 3U
};

enum ECAN_DATA_PROTECTION{
    Disable_Data_Protection = 0U,
    Enable_Data_Protection = 1U
};

typedef union eCAN_ID{
    Uint32 extended;
    Uint16 standard : 11U;
}eCAN_ID_t;

typedef struct eCAN_Data{
     eCAN_ID_t identifier;
     Uint16 length;         /* 1 to 8 bytes */
     Uint16 byte[8];
     Uint16 priority;       /* range of 0~31, 31 having the highest priority level */
}eCAN_Data_t;

void eCANConfigRXMailbox(Uint16 mailBox, Uint16 identifier, Uint16 mask, Uint16 dataProtection, Uint16 interruptEnable, Uint16 interruptLine);
void eCANConfigTXMailbox(Uint16 mailBox, Uint16 interruptEnable, Uint16 interruptLine);
void eCANDisableNotification(Uint16 interruptLine);
void eCANEnableMailbox(Uint16 mailBox);
void eCANEnableNotification(Uint16 interruptLine);
void eCANTransmitData(Uint16 mailBox, eCAN_Data_t* data);
Uint16 eCANGetData(Uint16 mailBox, eCAN_Data_t* receivedData);

#endif
