/*
 * sys_config.h
 *
 *  Created on: Mar 8, 2013
 *      Author: a0219244
 */

#ifndef _EPWM_H_
#define _EPWM_H_

enum epwm_module{
    ePwm1 = 1U,
    ePwm2,
    ePwm3,
    ePwm4,
    ePwm5,
    ePwm6,
    ePwm7
};

enum epwm_channel{

    ChannelA = 0U,
    ChannelB
};

enum epwm_interrupt_type{

    Counter_equal_to_zero = 0U,
    Counter_equal_to_period,
    Counter_equal_to_zero_or_period,
    Counter_equal_to_CMPA_increment,
    Counter_equal_to_CMPA_decrement,
    Counter_equal_to_CMPB_increment,
    Counter_equal_to_CMPB_decrement
};

enum epwm_output_channel{

	Buck1  = 1U,
	Buck2  = 2U,
	Buck3  = 3U,
	Buck4  = 4U,
	Buck5  = 5U,
	Buck6  = 6U,
	BoostA = 7U,
	BoostB = 8U
};

void ePwmInit( void );
void ePwmStart( void );
void ePwmSetPeriod(Uint16 module, Uint16 period);
void ePwmSetDuty(Uint16 module, Uint16 channel, Uint16 duty);
void ePwmEnableNotification(Uint16 module, Uint16 int_type, Uint16 int_count);
void ePwmSetHRDuty(Uint16 module, Uint16 channel, float32 duty);

void ePwmSetBuck1Duty_IQ(_iq14 duty);
void ePwmSetBuck2Duty_IQ(_iq14 duty);
void ePwmSetBuck3Duty_IQ(_iq14 duty);
void ePwmSetBuck4Duty_IQ(_iq14 duty);
void ePwmSetBuck5Duty_IQ(_iq14 duty);
void ePwmSetBuck6Duty_IQ(_iq14 duty);

void ePwmSetBoostAHRDuty_IQ(_iq14 duty);
void ePwmSetBoostBHRDuty_IQ(_iq14 duty);

void ePwmEnableOutput(Uint16 channel);
void ePwmDisableOutput(Uint16 channel);


#endif /* _EPWM_H_ */
