/*
 * sys_config.h
 *
 *  Created on: Mar 8, 2013
 *      Author: a0219244
 */

#ifndef SYS_CONFIG_H_
#define SYS_CONFIG_H_

/* Definition switch for function implementation */
#define __ENABLE_BOOST__
#define __ENABLE_BUCK__

/* Definition switch for code load into Flash, otherwise, use RAM configuration */
#define FLASH

/* Definition switch for Boost A channel operation mode */
/* only one of the following shall be 1 -- 2013-3-27    */
#define BOOST_A_HR_DUTY_CHECK	0
#define BOOST_A_OPEN_LOOP		0
#define BOOST_A_CLOSE_LOOP		1

/* Definition switch for Boost B channel operation mode */
/* only one of the following shall be 1 -- 2013-4-20    */
#define BOOST_B_HR_DUTY_CHECK	0
#define BOOST_B_OPEN_LOOP		0
#define BOOST_B_CLOSE_LOOP		1


/* Definition switch for Buck 1 channel operation mode */
/* only one of the following shall be 1 -- 2013-4-10    */
#define BUCK_1_CLOSE_LOOP			1
#define BUCK_1_OPEN_LOOP			0
#define BUCK_1_DUTY_CHANGE_CHECK 	0

/* Definition switch for Buck 4 channel operation mode */
/* only one of the following shall be 1 -- 2013-4-10    */
#define BUCK_4_CLOSE_LOOP			1
#define BUCK_4_OPEN_LOOP			0
#define BUCK_4_DUTY_CHANGE_CHECK 	0

/* Definition switch for Buck 5 channel operation mode */
/* only one of the following shall be 1 -- 2013-4-10    */
#define BUCK_5_CLOSE_LOOP			1
#define BUCK_5_OPEN_LOOP			0
#define BUCK_5_DUTY_CHANGE_CHECK 	0

/* Definition switch for Buck 6 channel operation mode */
/* only one of the following shall be 1 -- 2013-4-10    */
#define BUCK_6_CLOSE_LOOP			1
#define BUCK_6_OPEN_LOOP			0
#define BUCK_6_DUTY_CHANGE_CHECK 	0

//Enable Sync boost
#define __ENABLE_SYNC_BOOST__

/* For debug test only -- 2013-04-12 */
/* shall be removed */
#define LED_BLINK_TEST			0

// Used for running BackGround in flash, and ISR in RAM
// commented out because already declared in other file. (DSP2803x_GlobalPrototypes.h)
// extern Uint16 RamfuncsLoadStart, RamfuncsLoadEnd, RamfuncsRunStart;

//These period count values are based on 60MHz TBCLK with symmetric PWM setting
#define EPWM_PERIOD_COUNT_500KHz	(60U)
#define EPWM_PERIOD_COUNT_300KHz	(100U)
#define EPWM_PEROID_COUNT_150KHz	(200U)
#define EPWM_PERIOD_COUNT_250KHz	(120U)

//Controls EPWM period of each channel
#define EPWM1_PERIOD_COUNT	EPWM_PERIOD_COUNT_250KHz
#define EPWM2_PERIOD_COUNT	EPWM_PERIOD_COUNT_250KHz
#define EPWM4_PERIOD_COUNT	EPWM_PERIOD_COUNT_250KHz

//#define EPWM3_PERIOD_COUNT	EPWM_PERIOD_COUNT_500KHz
#define EPWM3_PERIOD_COUNT	EPWM_PERIOD_COUNT_250KHz
//#define EPWM5_PERIOD_COUNT	EPWM_PERIOD_COUNT_500KHz
#define EPWM5_PERIOD_COUNT	EPWM_PERIOD_COUNT_250KHz

#define BOOST_CONTROL_FREQUENCY_16667Hz	(10U)
#define BOOST_CONTROL_FREQUENCY_33333Hz	(5U)

//Deadband clock count definition
//Deadband count is in half clock mode
#define DEADBAND_HALF_CLOCK_COUNT	(16U)	//12U == 100ns @ 60MHz

enum boolean_on_off{
	Off = 0U,
	On  = 1U
};

#define BOOST_A_MAX_VOLTAGE_REFERENCE	3103	//25V
#define BOOST_B_MAX_VOLTAGE_REFERENCE	3103	//25V
#define BOOST_A_MIN_VOLTAGE_REFERENCE	1980	//16V
#define BOOST_B_MIN_VOLTAGE_REFERENCE	1980	//16V

#define BUCK_1_MAX_CURRENT_REFERENCE	2482	//1.0A
#define BUCK_2_MAX_CURRENT_REFERENCE	2482	//1.0A
#define BUCK_3_MAX_CURRENT_REFERENCE	2482	//1.0A
#define BUCK_4_MAX_CURRENT_REFERENCE	2482	//1.0A
#define BUCK_5_MAX_CURRENT_REFERENCE	2482	//1.0A
#define BUCK_6_MAX_CURRENT_REFERENCE	2482	//1.0A

#endif /* SYS_CONFIG_H_ */
