#ifndef __SYSTEM_H__
#define __SYSTEM_H__

#define UP		1
#define DOWN 	0

#define TRUE	1
#define FALSE	0

enum LED_TYPE{
	LED_Type_Detecting = 0,
	LED_Type_4_Chips,
	LED_Type_5_Chips,
	LED_Type_OutOfSpec
};

typedef struct DIM{

	Uint16 phase;	//on or off
	Uint16 duty;	//set duty, from 0 to 100%, with 10% resolution
	Uint16 count;	//current count in a loop of 10ms

}DIM_t;

void systemInit( void );    /* initialize all peripherals and system settings */
void clockTreeInit(void);   /* initialize system clock tree */
void cpuTimerInit(void);
void buckDimmingInit(void);
void buckDimmingHandler(void);

extern DIM_t dimming[];

#endif
