/* TI File $Revision: /main/1 $												*/
/* Checkin $Date: 15th Mar, 2013 $											*/
/****************************************************************************/
/*																			*/
/* FILE:	ADC.c															*/
/*																			*/
/* TITLE:	DSP28032/5 ADC module low level drivers.						*/
/*																			*/
/* This file contains low level drivers of ADC module dedicated for			*/
/* SAE LED project.															*/
/*																			*/
/*																			*/
/****************************************************************************/
/* $Release Date: $															*/
/****************************************************************************/

#include "DSP2803x_Device.h"
#include "DSP2803x_Examples.h"
#include "GPIO.h"

/* HAL api to set GPIO output to high level */
/* must be called after GPIO is initialized. */
void gpioSetGpio(Uint16 pin)
{
    if(pin <= 31U)
    {
        /* pin belongs to GPIO group A */
        GpioDataRegs.GPASET.all = (Uint32)1U << pin;    // force conversion to Uint32 type, otherwise, compiler will use AL (16bit) instruction, which causes error.
    }
    else if((pin > 31U)&&(pin < 45))
    {
        /* pin belongs to GPIO group B */
        GpioDataRegs.GPBSET.all = (Uint32)1U << (pin - 32U);
    }
    else
    {
        /* error parameter */
    }
}

/* HAL api to clear GPIO output to low level */
/* must be called after GPIO is initialized. */
void gpioClearGpio(Uint16 pin)
{
    if(pin <= 31U)
    {
        /* pin belongs to GPIO group A */
        GpioDataRegs.GPACLEAR.all = (Uint32)1U << pin;
    }
    else if((pin > 31U)&&(pin < 45))
    {
        /* pin belongs to GPIO group B */
        GpioDataRegs.GPBCLEAR.all = (Uint32)1U << (pin - 32U);
    }
    else
    {
        /* error parameter */
    }
}

/* HAL api to toggle GPIO output to alternative level */
/* must be called after GPIO is initialized. */
void gpioToggleGpio(Uint16 pin)
{
    if(pin <= 31U)
    {
        /* pin belongs to GPIO group A */
        GpioDataRegs.GPATOGGLE.all = (Uint32)1U << pin;
    }
    else if((pin > 31U)&&(pin < 45))
    {
        /* pin belongs to GPIO group B */
        GpioDataRegs.GPBTOGGLE.all = (Uint32)1U << (pin - 32U);
    }
    else
    {
        /* error parameter */
    }
}
